ttdt_close(library call)

NAME
ttdt_close — destroy a ToolTalk communication endpoint

SYNOPSIS

#include &<Tt/tttk.h>
Tt_status ttdt_close(
const char *procid,
const char *new_procid,
int sendStopped);

DESCRIPTION

The ttdt_close function destroys a ToolTalk communication endpoint.

If sendStopped is True, the ttdt_close function sends a Stopped notice; otherwise, it sends no notice. If procid is not NULL, ttdt_close calls tt_default_procid_set with a procid argument and then calls tt_close; otherwise, it closes the current default procid. If new_procid is not NULL, ttdt_close calls tt_default_procid_set with a new_procid argument.

RETURN VALUE

The ttdt_close function may return any of the errors returned by tt_default_procid_set(3) and tt_close(3).

No errors are propagated if sending the Stopped notice fails.

SEE ALSO

Tt/tttk.h - Tttttk(5), ttdt_open(3), tt_default_procid_set(3), tt_close(3).